## org.h2.server.web
Class PageParser

    java.lang.Object
      org.h2.server.web.PageParser

    public class PageParser

extends java.lang.Object

A page parser can parse an HTML page and replace the tags there. This class is used by the H2 Console.

Method Summary
`static java.lang.String` `escapeHtml(java.lang.String s)` Convert data to HTML, including newlines and multiple spaces.
`static java.lang.String` `parse(java.lang.String page, java.util.Map<java.lang.String,java.lang.Object> settings)` Replace the tags in the HTML page with the given settings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parse

    public static java.lang.String parse(java.lang.String page,
                                         java.util.Map<java.lang.String,java.lang.Object> settings)

  Replace the tags in the HTML page with the given settings.

  Parameters:
    `page` - the HTML page
    `settings` - the settings
  Returns:
    the converted page

### escapeHtml

    public static java.lang.String escapeHtml(java.lang.String s)

  Convert data to HTML, including newlines and multiple spaces.

  Parameters:
    `s` - the data
  Returns:
    the escaped html text